SystemOrganization addCategory: #'CS598rej-HW2-Test'!

TestCase subclass: #HW2Test
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS598rej-HW2-Test'!

!HW2Test commentStamp: '<historical>' prior: 0!
THIS is just a sample of the tests we might run on the code you submit. We might add to this test base.!

!HW2Test methodsFor: 'testing class methods ' stamp: 'dd 12/23/2004 20:31'!
testEmployee
	| susan |
	susan := Employee named: 'Susan'.
	self assert: 'Susan' = susan name! !

!HW2Test methodsFor: 'testing class methods ' stamp: 'dd 12/24/2004 23:59'!
testEmployeeClassHasMethodCategory
	| categories methodCategory |
	categories _ Employee class organization categories.
	self assert: (categories hasLiteral: #'instance creation').
	methodCategory _ Employee class organization categoryOfElement:'named:'.
	self assert: methodCategory = #'instance creation'.
	
	
! !

!HW2Test methodsFor: 'testing class methods ' stamp: 'dd 12/23/2004 20:31'!
testPaycheck
	| susan aCheck |
	susan := Employee named: 'Susan'.
	aCheck := Paycheck
				date: Date today
				employee: susan
				paid: 1300
				withheld: 200
				totalPaid: 1300
				totalWithheld: 200.
	self assert: 1300 = aCheck amountPaid.! !

!HW2Test methodsFor: 'testing class methods ' stamp: 'dd 12/25/2004 00:02'!
testPaycheckClassHasMethodCategory
	| categories methodCategory |
	categories := Paycheck class organization categories.
	self
		assert: (categories hasLiteral: #'instance creation').
	methodCategory := Paycheck class organization categoryOfElement: 'date:employee:paid:withheld:totalPaid:totalWithheld:'.
	self assert: methodCategory = #'instance creation'! !

!HW2Test methodsFor: 'testing' stamp: 'm3r 6/7/2008 14:18'!
testPayrollSystemWithJohn
	| aTestCase aCheck |
	aTestCase _ PayrollSystemTest new.
	aTestCase setUp.
	
	aCheck _ aTestCase testTakeHomePay.
	self assert: aCheck amountPaid = 1188.8! !

!HW2Test methodsFor: 'testing class methods ' stamp: 'dd 1/24/2005 16:04'!
testTimecardClassHasMethodCategory
	| categories methodCategory |
	categories := Timecard class organization categories.
	self
		assert: (categories hasLiteral: #'instance creation').
	methodCategory := Timecard class organization categoryOfElement: 'date:employee:worked:vacation:'.
	self assert: methodCategory = #'instance creation'! !
